### Function

# Vips Foreign is_a

#### Declaration [src]

    gboolean
    vips_foreign_is_a (
      const char* loader,
      const char* filename
    )

#### Description [src]

Return `TRUE` if `filename` can be loaded by `loader`. `loader` is something like “tiffload” or “VipsForeignLoadTiff”.

#### Parameters

`loader`

  Type: `const char*`

  Name of loader to use for test.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`filename`

  Type: `const char*`

  File to test.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `filename` can be loaded by `loader`.